//
//  Client.swift
//  APIService
//
//  Created by Javier Cicchelli on 04/12/2022.
//  Copyright © 2022 Röck+Cöde. All rights reserved.
//

import Foundation

protocol Client {
    func request<Model: Decodable>(endpoint: some Endpoint, model: Model.Type) async throws -> Model
    @discardableResult func request(endpoint: some Endpoint) async throws -> Data
}
